>From 1ae6ef41b40ac90a1e510026b4e6b57b344ab3c8 Mon Sep 17 00:00:00 2001
Message-Id: <1ae6ef41b40ac90a1e510026b4e6b57b344ab3c8.1547746867.git.crobinso@redhat.com>
In-Reply-To: <cover.1547746867.git.crobinso@redhat.com>
References: <cover.1547746867.git.crobinso@redhat.com>
From: Cole Robinson <crobinso@redhat.com>
Date: Fri, 11 Jan 2019 14:27:51 -0500
Subject: [PATCH 01/18] tests: Add capabilities data for QEMU 4.0.0 x86_64

The next release of QEMU is going to be 4.0.0. A bit early, but
this adds capabilities data for x86_64 from current qemu git
15bede554162dda822cd762c689edb6fa32b6e3b

Signed-off-by: Cole Robinson <crobinso@redhat.com>
---
 .../caps_4.0.0.x86_64.replies                 | 23180 ++++++++++++++++
 .../caps_4.0.0.x86_64.xml                     |  1384 +
 tests/qemucapabilitiestest.c                  |     1 +
 3 files changed, 24565 insertions(+)
 create mode 100644 tests/qemucapabilitiesdata/caps_4.0.0.x86_64.replies
 create mode 100644 tests/qemucapabilitiesdata/caps_4.0.0.x86_64.xml

diff --git a/tests/qemucapabilitiestest.c b/tests/qemucapabilitiestest.c
index b3a9a4b9fc..00137bb415 100644
--- a/tests/qemucapabilitiestest.c
+++ b/tests/qemucapabilitiestest.c
@@ -179,6 +179,7 @@ mymain(void)
     DO_TEST("x86_64", "caps_2.12.0");
     DO_TEST("x86_64", "caps_3.0.0");
     DO_TEST("x86_64", "caps_3.1.0");
+    DO_TEST("x86_64", "caps_4.0.0");
     DO_TEST("aarch64", "caps_2.6.0");
     DO_TEST("aarch64", "caps_2.10.0");
     DO_TEST("aarch64", "caps_2.12.0");
-- 
2.20.1

